org.eclipse.emf.facet.util.emf.core

## Interface IBrowserRegistry

    public interface IBrowserRegistry

A registry for the `EObject`, `EPackage`, and `Resource` browser opener extension point. It can be used to open a default model browser (chosen by the user) or get a list of model browsers that can be opened on a model element, `EPackage` or `Resource`.

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IBrowserRegistry` `INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `browseEObject(EObject eObject)` Browse the given eObject using the default EObject browser opener
`void` `browseEPackage(EPackage ePackage)` Browse the given package using the default EPackage browser opener
`void` `browseResource(Resource resource)` Browse the given resource using the default Resource browser opener
`java.util.List<IEObjectBrowserOpener>` `getAllRegisteredEObjectBrowsers()`
`java.util.List<IEPackageBrowserOpener>` `getAllRegisteredEPackageBrowsers()`
`java.util.List<IResourceBrowserOpener>` `getAllRegisteredResourceBrowsers()`
`IEObjectBrowserOpener` `getDefaultEObjectBrowserOpener()`
`IEPackageBrowserOpener` `getDefaultEPackageBrowserOpener()`
`IResourceBrowserOpener` `getDefaultResourceBrowserOpener()`

### Field Detail

#### INSTANCE

    static final IBrowserRegistry INSTANCE

### Method Detail

#### browseEPackage

    void browseEPackage(EPackage ePackage)

Browse the given package using the default EPackage browser opener

Parameters:
  `ePackage` - the element to browse

#### browseResource

    void browseResource(Resource resource)

Browse the given resource using the default Resource browser opener

Parameters:
  `resource` - the element to browse

#### browseEObject

    void browseEObject(EObject eObject)

Browse the given eObject using the default EObject browser opener

Parameters:
  `eObject` - the element to browse

#### getAllRegisteredEPackageBrowsers

    java.util.List<IEPackageBrowserOpener> getAllRegisteredEPackageBrowsers()

Returns:
  the registered EPackage browser openers

#### getAllRegisteredEObjectBrowsers

    java.util.List<IEObjectBrowserOpener> getAllRegisteredEObjectBrowsers()

Returns:
  the registered EObject browser openers

#### getAllRegisteredResourceBrowsers

    java.util.List<IResourceBrowserOpener> getAllRegisteredResourceBrowsers()

Returns:
  the registered Resource browser openers

#### getDefaultEPackageBrowserOpener

    IEPackageBrowserOpener getDefaultEPackageBrowserOpener()

Returns:
  the default EPackage browser opener, can be `null`

#### getDefaultEObjectBrowserOpener

    IEObjectBrowserOpener getDefaultEObjectBrowserOpener()

Returns:
  the default EObject browser opener, can be `null`

#### getDefaultResourceBrowserOpener

    IResourceBrowserOpener getDefaultResourceBrowserOpener()

Returns:
  the default Resource browser opener, can be `null`